=== debian/changelog ===
krazy2 (0~git20101204-1) experimental; urgency=low

  * Initial release (Closes: #594366)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Tue, 14 Dec 2010 23:10:44 +0100
