=== debian/control ===
Source: krazy2
Section: devel
Priority: extra
Maintainer: José Manuel Santamaría Lema <panfaust@gmail.com>
Build-Depends: debhelper (>= 7.0.50~), libqt4-dev
Standards-Version: 3.9.1
Homepage: http://www.englishbreakfastnetwork.org/
#Vcs-Git: git://git.debian.org/collab-maint/krazy.git
#Vcs-Browser: http://git.debian.org/?p=collab-maint/krazy.git;a=summary

Package: krazy2
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${perl:Depends},
 libxml-libxml-perl, libhtml-parser-perl, libtie-ixhash-perl, 
 desktop-file-utils, libxml2-utils
Description: KDE/Qt code source checker
 Krazy scans KDE or Qt source code looking for issues that should be fixed for
 reasons of policy, good coding practice, optimization, or any other good
 reason. In typical use, Krazy simply counts up the issues and provides the line
 numbers where those issues occurred in each file processed.
 .
 This package provides the following programs:
  - krazy2 - checks one or various files given in command line
  - krazy2all - checks all supported files under the current directory
 .
 These programs are being used by official KDE developers to find issues in
 their software, in fact they have a web page (English Breakfast Network a.k.a.
 EBN) which displays the daily results of running these programs against their
 code, see:
 http://www.englishbreakfastnetwork.org/
