=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@

TEMPDIR := $(shell mktemp -u)

# Copied from /usr/share/cdbs/1/rules/buildvars.mk
VERSION := $(shell dpkg-parsechangelog | egrep '^Version:' | cut -f 2 -d ' ')
NOEPOCH_VERSION := $(shell echo $(VERSION) | cut -d: -f2-)
UPSTREAM_VERSION := $(shell echo $(NOEPOCH_VERSION) | sed 's/-[^-]*$$//')

PROJECTNAME := "Krazy source code checker"
PROJSHORTNAME := "Krazy"

get-orig-source:
	mkdir -p $(TEMPDIR)
	git clone git://gitorious.org/krazy/krazy.git $(TEMPDIR)/krazy2
	rm -rf $(TEMPDIR)/krazy2/src/desktop-file-utils-*
	rm -rf $(TEMPDIR)/krazy2/src/cppchecks
	cd $(TEMPDIR)/krazy2 && git log > ChangeLog
	rm -rf $(TEMPDIR)/krazy2/.git
	cd $(TEMPDIR) && tar -cf krazy2-$(UPSTREAM_VERSION).tar krazy2 &&\
		gzip -9 krazy2-$(UPSTREAM_VERSION).tar
	mv $(TEMPDIR)/krazy2-$(UPSTREAM_VERSION).tar.gz ..
	rm -rf $(TEMPDIR)

override_dh_auto_configure:
	dh_testdir
	dh_auto_configure
	cd src && qmake-qt4

override_dh_auto_build:
	dh_testdir
	dh_auto_build
	pod2man -c $(PROJECTNAME) -r $(PROJSHORTNAME) krazy2 > debian/krazy2.1
	pod2man -c $(PROJECTNAME) -r $(PROJSHORTNAME) krazy2all > debian/krazy2all.1
	#pod2man -c $(PROJECTNAME) -r $(PROJSHORTNAME) krazy2xml > debian/krazy2xml.1
	pod2man -c $(PROJECTNAME) -r $(PROJSHORTNAME) \
		--section=5 doc/krazyrc.pod > debian/krazyrc.5
	cd src && $(MAKE)

override_dh_auto_install:
	dh_testdir
	dh_auto_install
	cd helpers && $(MAKE) install PREFIX=$(CURDIR)/debian/krazy2/usr
	cd plugins && $(MAKE) install PREFIX=$(CURDIR)/debian/krazy2/usr
	cd extras && $(MAKE) install PREFIX=$(CURDIR)/debian/krazy2/usr
	cd src && $(MAKE) install INSTALL_ROOT=$(CURDIR)/debian/krazy2/usr
	cd sets && $(MAKE) install PREFIX=$(CURDIR)/debian/krazy2/usr
	dh_install share/* usr/share/dtd
	dh_installman debian/krazy2.1 debian/krazy2all.1 debian/krazyrc.5 #\
		#debian/krazy2xml.1

override_dh_auto_clean:
	dh_testdir
	[ ! -f Makefile ] || touch Makefile
	dh_auto_clean
	cd debian && rm -rf krazy2.1 krazy2all.1 krazyrc.5 #krazy2xml.1
	-cd src && $(MAKE) distclean
